import Vue from "vue";
import VueRouter from "vue-router";
import Home from "@/views/home/index.vue";
import Mall from "@/views/Mall.vue";
import Dynamic from "@/views/Dynamic.vue";
import Profile from "@/views/Profile.vue";
import ProfileDetail from "@/views/ProfileDetail.vue";
import Register from "@/views/register.vue";

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    redirect: "/home"
  },
  {
    path: "/home",
    name: "Home",
    component: Home
  },
  {
    path: "/mall",
    name: "Mall",
    component: Mall
  },
  {
    path: "/dynamic",
    name: "Dynamic",
    component: Dynamic
  },
  {
    path: "/profile",
    name: "Profile",
    component: Profile
  },
  {
    path: "/profile/detail",
    name: "ProfileDetail",
    component: ProfileDetail
  },
  {
    path: "/register",
    name: "Register",
    component: Register
  },
  {
    path: "/login",
    name: "login",
    component: () =>
      import(/* webpackChunkName: "login" */ "../views/login.vue")
  },
  {
    path: "/forget",
    name: "forget",
    component: () =>
      import(/* webpackChunkName: "forget" */ "../views/forget.vue")
  },
];

const router = new VueRouter({
  routes
});

export default router;
